# Job Boards Job Boards ## Gets all of the job boards in the system. - [GET /jobBoards/{tenantId}](https://docs.api.rhythmsoftware.com/apis/careers/careers-v1/job-boards/listjobboards.md): This method will scan all job boards and and return them to the caller. ## Creates a new job board record that does not already exist. - [POST /jobBoards/{tenantId}](https://docs.api.rhythmsoftware.com/apis/careers/careers-v1/job-boards/createjobboard.md): This method will auto-generate an ID and create a new job board. If an ID is specified for the job board, an error will be thrown. ## Execute Batch Operations - [POST /jobBoards/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/careers/careers-v1/job-boards/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ## Gets an entry in the job board - [GET /jobBoards/{tenantId}/public/entry/{jobBoardId}/{entryId}](https://docs.api.rhythmsoftware.com/apis/careers/careers-v1/job-boards/getjobboardentry.md) ## Searches the job board - [POST /jobBoards/{tenantId}/public/search/{id}](https://docs.api.rhythmsoftware.com/apis/careers/careers-v1/job-boards/searchpublicjobboard.md) ## Sends a message to a job in the jobBoard - [POST /jobBoards/{tenantId}/public/sendMessage/{jobBoardId}/{entryId}](https://docs.api.rhythmsoftware.com/apis/careers/careers-v1/job-boards/sendjobboardmessage.md) ## Returns a job board from the system by its ID. - [GET /jobBoards/{tenantId}/public/{id}](https://docs.api.rhythmsoftware.com/apis/careers/careers-v1/job-boards/getpublicjobboard.md): This method will look up a job board by the specified ID and return it back. ## Searches the job board - [POST /jobBoards/{tenantId}/search/{id}](https://docs.api.rhythmsoftware.com/apis/careers/careers-v1/job-boards/searchjobboard.md) ## Returns a job board from the system by its ID. - [DELETE /jobBoards/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/careers/careers-v1/job-boards/deletejobboard.md): This method will delete a job board with the specified ID. ## Returns a job board from the system by its ID. - [GET /jobBoards/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/careers/careers-v1/job-boards/getjobboard.md): This method will look up a job board by the specified ID and return it back. ## Partially updates a job board with the specified ID. - [PATCH /jobBoards/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/careers/careers-v1/job-boards/patchjobboard.md): This method will patch an existing job board with the specified ID, using the HTTP PATCH specification. ## Updates a job board with the specified ID. - [PUT /jobBoards/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/careers/careers-v1/job-boards/updatejobboard.md): This method will update an existing job board with the specified ID.